# coding: utf8
"""Récupération de données.

Soit un fichier texte 'elements.txt' contenant :

Arsenic = 5.72 g/cm3
Aluminium = 2.70 g/cm3
Or = 19.30 g/cm3   

Écrire un programme qui demande à un utilisateur de saisir un volume en cm3, 
puis qui utilise le fichier ci-dessus afin d'afficher pour chaque élément 
la masse correspondant au volume saisi.

fichier : d2.py
auteur : Bob
"""

# Programme principal ==========================================================
volume = float(input("Volume de matière (cm3) : "))

with open("data/elements.txt", "r", encoding="utf-8") as f:
    for ligne in f:
        items = ligne.split("=")
        nom = items[0].strip()
        mvol = float(items[1].split()[0])
        masse = volume * mvol
        print(f"\n{nom:9} => {masse:.2f} g")
